import { ApolloLink, Observable, Operation, NextLink, FetchResult } from 'apollo-link';
import { Observer } from 'zen-observable-ts';
export interface OperationQueueEntry {
    operation: Operation;
    forward: NextLink;
    observer: Observer<FetchResult>;
    subscription?: {
        unsubscribe: () => void;
    };
}
export default class SerializingLink extends ApolloLink {
    private opQueues;
    request(origOperation: Operation, forward: NextLink): Observable<{}>;
    private enqueue;
    private cancelOp;
    private startFirstOpIfNotStarted;
}
